package cn.iocoder.yudao.module.customer.vo.customer.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@ApiModel("管理后台 - 到仓确认切换 Request VO")
@Data
@EqualsAndHashCode
@ToString
public class CustomerChangeArrivalConfirmReqVO {

    @ApiModelProperty(value = "客户ID列表", required = true)
    @NotEmpty(message = "客户ID列表不能为空")
    private List<Long> customerIdList;

    /**
     * 到仓确认
     */
    @ApiModelProperty(value = "到仓确认", required = true)
    private Integer arrivalConfirm;


}
