package cn.iocoder.yudao.module.customer.vo.customer.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 客户合并 Req VO")
@Data
@ToString(callSuper = true)
public class CustomerMerge {

    @ApiModelProperty(value = "被保留的客户id")
    @NotNull(message = "被保留的客户id不能为空")
    private Long customerIdSaved;

    @ApiModelProperty(value = "被删除的客户id")
    @NotNull(message = "被删除的客户id不能为空")
    private Long customerIdDeleted;
}
