package cn.iocoder.yudao.module.customer.vo.customerFollowup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 客户跟进 编码 VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
@ApiModel("管理后台 - 客户跟进编码查询返回 VO")
public class CustomerFollowupNumberBackVO {

    @ApiModelProperty(value = "编号")
    private String number;

    @ApiModelProperty(value = "编号纪录ID")
    private Long numberId;

    @ApiModelProperty(value = "行号")
    private Integer numberVersion;


}
